\hypertarget{struct__timlConvNeuralNetwork__}{\section{\-\_\-timl\-Conv\-Neural\-Network\-\_\- Struct Reference}
\label{struct__timlConvNeuralNetwork__}\index{\-\_\-timl\-Conv\-Neural\-Network\-\_\-@{\-\_\-timl\-Conv\-Neural\-Network\-\_\-}}
}
\subsection*{Data Fields}
\begin{DoxyCompactItemize}
\item 
float $\ast$ \hyperlink{struct__timlConvNeuralNetwork___aa1364cc01763023a9442a647cf678dc6}{mem\-Pool}
\item 
int \hyperlink{struct__timlConvNeuralNetwork___aa5f6181a4aaf4d5241e4bbc923c0fb1f}{mem\-Pool\-Size}
\item 
\hypertarget{struct__timlConvNeuralNetwork___a94dd0a63f90414e111c6888a32839c6f}{int {\bfseries device\-Id}}\label{struct__timlConvNeuralNetwork___a94dd0a63f90414e111c6888a32839c6f}

\item 
\hypertarget{struct__timlConvNeuralNetwork___a302d83755216ad62259c4af0513e122f}{int {\bfseries thread\-Id}}\label{struct__timlConvNeuralNetwork___a302d83755216ad62259c4af0513e122f}

\item 
\hypertarget{struct__timlConvNeuralNetwork___ac6cb336e61a5cee811cd1830e91e36fe}{\hyperlink{struct__timlCNNLayer__}{timl\-C\-N\-N\-Layer} $\ast$ {\bfseries head}}\label{struct__timlConvNeuralNetwork___ac6cb336e61a5cee811cd1830e91e36fe}

\item 
\hypertarget{struct__timlConvNeuralNetwork___ad09c385f4b77cdb100afa263bd8a60b3}{\hyperlink{struct__timlCNNLayer__}{timl\-C\-N\-N\-Layer} $\ast$ {\bfseries tail}}\label{struct__timlConvNeuralNetwork___ad09c385f4b77cdb100afa263bd8a60b3}

\item 
\hypertarget{struct__timlConvNeuralNetwork___a13df483ca56030d8e61b8aa49178c251}{\hyperlink{structtimlCNNTrainingParams}{timl\-C\-N\-N\-Training\-Params} {\bfseries params}}\label{struct__timlConvNeuralNetwork___a13df483ca56030d8e61b8aa49178c251}

\end{DoxyCompactItemize}


\subsection{Field Documentation}
\hypertarget{struct__timlConvNeuralNetwork___aa1364cc01763023a9442a647cf678dc6}{\index{\-\_\-timl\-Conv\-Neural\-Network\-\_\-@{\-\_\-timl\-Conv\-Neural\-Network\-\_\-}!mem\-Pool@{mem\-Pool}}
\index{mem\-Pool@{mem\-Pool}!_timlConvNeuralNetwork_@{\-\_\-timl\-Conv\-Neural\-Network\-\_\-}}
\subsubsection[{mem\-Pool}]{\setlength{\rightskip}{0pt plus 5cm}float$\ast$ \-\_\-timl\-Conv\-Neural\-Network\-\_\-\-::mem\-Pool}}\label{struct__timlConvNeuralNetwork___aa1364cc01763023a9442a647cf678dc6}
used by allocator\-Level3 mode to store the feature maps \hypertarget{struct__timlConvNeuralNetwork___aa5f6181a4aaf4d5241e4bbc923c0fb1f}{\index{\-\_\-timl\-Conv\-Neural\-Network\-\_\-@{\-\_\-timl\-Conv\-Neural\-Network\-\_\-}!mem\-Pool\-Size@{mem\-Pool\-Size}}
\index{mem\-Pool\-Size@{mem\-Pool\-Size}!_timlConvNeuralNetwork_@{\-\_\-timl\-Conv\-Neural\-Network\-\_\-}}
\subsubsection[{mem\-Pool\-Size}]{\setlength{\rightskip}{0pt plus 5cm}int \-\_\-timl\-Conv\-Neural\-Network\-\_\-\-::mem\-Pool\-Size}}\label{struct__timlConvNeuralNetwork___aa5f6181a4aaf4d5241e4bbc923c0fb1f}
size of the memory pool 

The documentation for this struct was generated from the following file\-:\begin{DoxyCompactItemize}
\item 
\hyperlink{timlCNN_8h}{timl\-C\-N\-N.\-h}\end{DoxyCompactItemize}
